/* $Id: ui.h,v 1.2 1999/04/15 13:16:04 levitte Exp $ */
#ifndef __UI_H__
#define __UI_H__

#include "erf.h"

typedef struct ui_state_s {
    long (*down_write)(unsigned char *buf, long len, void *writestate,
			Erf,void*);
    void *down_state;
} ui_state;


void *ui_init(long (*down_write)(unsigned char *,long,void *,Erf,void*),
		void *down_state, Erf,void*);
void ui_dispatch(unsigned char *data, long amt, void *state, Erf,void*);

#endif

/* Emacs local variables

Local variables:
eval: (set-c-style "BSD")
end:

*/
